Bug 231830 - Review Request: python-inotify - Monitor filesystem events with Python under Linux
Review Request: python-inotify - Monitor filesystem events with Python under ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-12 09:12 EDT by Terje Røsten
Modified: 2011-02-10 12:55 EST (History)
1 user (show)

See Also:
Fixed In Version: python-inotify-0.9.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 14:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-03-12 09:12:59 EDT
Spec URL: 
 http://web.phys.ntnu.no/~terjeros/python-inotify/python-inotify.spec
SRPM URL:
http://web.phys.ntnu.no/~terjeros/python-inotify/python-inotify-0.7.0-1.fc6.src.rpm

Description:

This is a Python module for watching filesystems changes. pyinotify
can be used for various kind of fs monitoring. pyinotify relies on a
recent Linux Kernel feature (merged in kernel 2.6.13) called
inotify. inotify is an event-driven notifier, its notifications are
exported from kernel space to user space.
Comment 1 Xavier Lamien 2007-03-12 10:40:20 EDT
Nice apps...

I will check it out in this week
Comment 2 Xavier Lamien 2007-03-21 00:45:34 EDT
Sorry for the late.

So,

OK - Mock Build on FC-6 and FC-Devel (i386)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License is GPL
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
159ba32d41c087d98da6248890958ba0  pyinotify-0.7.0.tar.bz2
OK - Package has correct buildroot.
OK - BuildRequires isn't redundant.
OK - Sub-package is proper.
OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Packages and Sub-package %doc files don't affect runtime.
OK - Package and Sub-package has no duplicate files in %files.
OK - Package and Sub-package don't own any directories other packages own.
OK - Changelog section is correct.
OK - rpmlint output are silent on RPMs (including sub-package) and SRPM files.

OK - Should function as described.
OK - Should package latest version

----------
APPROVED
----------
Comment 3 Terje Røsten 2007-03-22 14:33:39 EDT
> APPROVED

Thanks!

 - Terje

New Package CVS Request
=======================
Package Name: python-inotify
Short Description: Monitor filesystem events with Python under Linux
Owners: terjeros@phys.ntnu.no
Branches: FC-6


Comment 4 Steve Traylen 2011-01-24 05:46:22 EST
Hi Terje,

I'd like to see some EPEL packages of python-inotify , I see from 

http://fedoraproject.org/wiki/EPEL/ContributorStatusNo

that you are happy for other people to maintain EPEL packages. I will go ahead and
make the request shortly but wanted to check if you had any comment first.

Steve.
Comment 5 Terje Røsten 2011-01-25 09:20:53 EST
Not really, you can co-maintain fedora branches too if you like :-)
Comment 6 Steve Traylen 2011-01-25 10:14:22 EST
Package Change Request
======================
Package Name: python-inotify
New Branches: el5 el6
Owners: stevetraylen terjeros
Comment 7 Jason Tibbitts 2011-01-25 18:40:02 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-01-26 04:57:33 EST
python-inotify-0.9.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-inotify-0.9.1-1.el6
Comment 9 Fedora Update System 2011-01-26 04:57:40 EST
python-inotify-0.9.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-inotify-0.9.1-1.el5
Comment 10 Fedora Update System 2011-02-10 12:54:51 EST
python-inotify-0.9.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-02-10 12:55:28 EST
python-inotify-0.9.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.